FROM ubuntu:20.04
ARG DEBIAN_FRONTEND=noninteractive 
#the above line is avoid interaction
RUN apt update && apt install -y wget git build-essential net-tools iproute2 iperf iputils-ping libgmp-dev libbsd-dev libssl-dev libboost-all-dev iproute2 iperf iputils-ping wget cargo cmake time
WORKDIR /root
RUN git clone https://github.com/encryptogroup/OTExtension.git
RUN cd OTExtension/ && git checkout a9aa1ac94b7b3f171424af26c211c13dd342f712 && mkdir build && cd build && cmake .. && make
COPY . duoram
RUN cd duoram/preprocessing && make -j`nproc`
RUN cd duoram/duoram-online && make -j`nproc`
RUN cd duoram/2p-preprocessing && make -j`nproc`
RUN cd duoram/cpir-read/cxx && make -j`nproc`
